from datetime import datetime

from cpl_core.application.application_extension_abc import \
    ApplicationExtensionABC
from cpl_core.configuration.configuration_abc import ConfigurationABC
from cpl_core.dependency_injection.service_provider_abc import \
    ServiceProviderABC
from cpl_core.logging import LoggerABC


class BootLogExtension(ApplicationExtensionABC):

    def __init__(self):
        pass

    async def run(self, config: ConfigurationABC, services: ServiceProviderABC):
        logger: LoggerABC = services.get_service(LoggerABC)
        logger.trace(__name__, 'Boot extension started')
        config.add_configuration('StartTime', datetime.now())
